<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{A6A90BFE-126D-4499-860A-F0E2C40EBB23}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>JBIM</RootNamespace>
    <AssemblyName>JBIM</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\OutputDll\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BimDocument.cs" />
    <Compile Include="BimId.cs" />
    <Compile Include="BimObject.cs" />
    <Compile Include="Common\BimObjectUtil.cs" />
    <Compile Include="Common\EnumExtensions.cs" />
    <Compile Include="Common\PropertyCache.cs" />
    <Compile Include="Common\TypeDefinitonAttribute.cs" />
    <Compile Include="Common\TypeDefinitonUtil.cs" />
    <Compile Include="Component\BoundarySegment.cs" />
    <Compile Include="Component\Column.cs" />
    <Compile Include="Component\ComponentObject.cs" />
    <Compile Include="Component\Connector.cs" />
    <Compile Include="Component\Door.cs" />
    <Compile Include="Component\FlexDuct.cs" />
    <Compile Include="Component\Duct.cs" />
    <Compile Include="Component\Grid.cs" />
    <Compile Include="Component\Level.cs" />
    <Compile Include="Component\MepSystem.cs" />
    <Compile Include="Component\MepSystemType.cs" />
    <Compile Include="Component\Other.cs" />
    <Compile Include="Component\OtherJoinObject.cs" />
    <Compile Include="Component\Parameter.cs" />
    <Compile Include="Component\ParameterDefinition.cs" />
    <Compile Include="Component\FlexPipe.cs" />
    <Compile Include="Component\Pipe.cs" />
    <Compile Include="Component\EquipPart.cs" />
    <Compile Include="Component\Equipment.cs" />
    <Compile Include="Component\Room.cs" />
    <Compile Include="Component\Space.cs" />
    <Compile Include="Component\Unit.cs" />
    <Compile Include="Component\VirtualWall.cs" />
    <Compile Include="Component\VisibleComponentObject.cs" />
    <Compile Include="Component\Wall.cs" />
    <Compile Include="Component\Window.cs" />
    <Compile Include="Definition\ConnectorShape.cs" />
    <Compile Include="Definition\GeometryLocation.cs" />
    <Compile Include="Definition\XYZ.cs" />
    <Compile Include="Geometry\GeometryObject.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Definition\TypeDefinition.cs" />
    <Compile Include="Relationship\OneToManyRel.cs" />
    <Compile Include="Relationship\OneToOneRel.cs" />
    <Compile Include="Relationship\RelationshipBase.cs" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>